<template>
    <div>
        <canvas id="wall" width="800" height="400"  tabindex="0" />
    </div>
</template>

<script>
    import {SGraphScene, SGraphView} from "@persagy-web/graph/";
    import {SWallItem} from "../../../../guides/big/items/src/SWallItem";


    export default {
        name: "wall",
        data(){
            return {
                view: null,
                // 图中靠上位置的黑色矩形轮廓
                outline1:[[{X:120,Y:10},{X:120,Y:30},{X:10,Y:30},{X:10,Y:10}]],
                // 图中靠下位置的,中间掏洞
                outline2:[
                    [{X:120,Y:-30},{X:120,Y:-50},{X:10,Y:-50},{X:10,Y:-30}],
                    [{X:20,Y:-40},{X:20,Y:-45},{X:100,Y:-45},{X:100,Y:-40}]
                ]
            }
        },
        mounted() {
            this.init();
        },
        methods:{
            init(){
                this.view = new SGraphView('wall');
                const scene = new SGraphScene();
                this.view.scene = scene;
                // 只模拟了轮廓数据
                const item = new SWallItem(null,{OutLine:this.outline1});
                scene.addItem(item);
                // 只模拟了轮廓数据
                const item2 = new SWallItem(null,{OutLine:this.outline2});
                scene.addItem(item2);
                this.view.fitSceneToView();
                this.view.scalable = false;
            }
        }
    }
</script>

<style scoped>

</style>
